io.agora.rtc

## Class AudioPcmFrame

- java.lang.Object
- - io.agora.rtc.AudioPcmFrame

-     public class AudioPcmFrame
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bytesPerSample`
    `private int` | `captureTimestamp`
    `private short` | `data`
    `private int` | `numChannels`
    `private int` | `sampleRateHz`
    `private int` | `samplesPerChannel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioPcmFrame()`
    `AudioPcmFrame(int captureTimestamp, int samplesPerChannel, int sampleRateHz, int numChannels, int bytesPerSample, short data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBytesPerSample()`
    `int` | `getCaptureTimestamp()`
    `short` | `getData()`
    `int` | `getNumChannels()`
    `int` | `getSampleRateHz()`
    `int` | `getSamplesPerChannel()`
    `void` | `setBytesPerSample(int bytesPerSample)`
    `void` | `setCaptureTimestamp(int captureTimestamp)`
    `void` | `setData(short data)`
    `void` | `setNumChannels(int numChannels)`
    `void` | `setSampleRateHz(int sampleRateHz)`
    `void` | `setSamplesPerChannel(int samplesPerChannel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### captureTimestamp

          private int captureTimestamp

    - #### samplesPerChannel

          private int samplesPerChannel

    - #### sampleRateHz

          private int sampleRateHz

    - #### numChannels

          private int numChannels

    - #### bytesPerSample

          private int bytesPerSample

    - #### data

          private short data

  - ### Constructor Detail

    - #### AudioPcmFrame

          public AudioPcmFrame()

    - #### AudioPcmFrame

          public AudioPcmFrame(int captureTimestamp,
                               int samplesPerChannel,
                               int sampleRateHz,
                               int numChannels,
                               int bytesPerSample,
                               short data)

  - ### Method Detail

    - #### getCaptureTimestamp

          public int getCaptureTimestamp()

    - #### setCaptureTimestamp

          public void setCaptureTimestamp(int captureTimestamp)

    - #### getSamplesPerChannel

          public int getSamplesPerChannel()

    - #### setSamplesPerChannel

          public void setSamplesPerChannel(int samplesPerChannel)

    - #### getSampleRateHz

          public int getSampleRateHz()

    - #### setSampleRateHz

          public void setSampleRateHz(int sampleRateHz)

    - #### getNumChannels

          public int getNumChannels()

    - #### setNumChannels

          public void setNumChannels(int numChannels)

    - #### getBytesPerSample

          public int getBytesPerSample()

    - #### setBytesPerSample

          public void setBytesPerSample(int bytesPerSample)

    - #### getData

          public short getData()

    - #### setData

          public void setData(short data)